import java.awt.*;
import java.awt.event.*;

/**
* CMergeButton ist ein Button, der ein Puzzelfeld, ein Positionen-Array und ein Drehpositionen-Array uebergeben bekommt.
* Sobald der Button gedrueckt wird, werden Positionen-Array und Drehpositionen-Array mit Zufallszahlen neu initialisiert und das Puzzelfeld wird neugezeichnet.
*
* @author Mirko Mumberg
* @version 1.0  date 07.06.1997
*/
public class CMergeButton extends Button implements ActionListener
{
	private CPuzzleField 	m_PuzzleField; // Das Feld, das gemischt werden soll.
	private String 		m_ButtonLabel; // Die Beschriftung des Buttons

	/**
	* Konstruktor uebernimmt nur die Initialisierung des Buttons.
	* @param _Label Die Beschriftung des Buttons.
	* @param _PField Das Puzzelfeld, das gemischt werden soll.
	*/
	public CMergeButton(String _Label, CPuzzleField _PField)
	{
		super(_Label);
		m_ButtonLabel= _Label;
		m_PuzzleField = _PField;
		addActionListener(this);
	}

	/**
	* Wird ausgefuehrt durch das Buttondruecken. Ist es unser Button, wird das Puzzelfeld gemischt und neugezeichnet.
	* @param e Ist das ActionEvent vom ActionListener.  
	*/
	public void actionPerformed(ActionEvent e)
	{
		String cmd = e.getActionCommand();
		if (cmd.equals(m_ButtonLabel))
		{
			m_PuzzleField.merge();
			m_PuzzleField.repaint();
		}
	}
}

